// http://fr.openclassrooms.com/informatique/cours/programmez-avec-le-langage-c/les-structures-de-controle-4
#include <iostream>
#include <cmath>
// c.f. http://www.cplusplus.com/reference/cmath/

#include <stdlib.h> // pour random  : rand(...)
// c.f. http://www.cplusplus.com/reference/cstdlib/rand/
// rand() retourn un nombre entier entre 1 et RAND_MAX
// RAND_MAX vaut : 2'147'483'647 = 2^31 - 1  habituellement.

// Opérateurs : c.f. http://www.cplusplus.com/doc/tutorial/operators/
//  +  -  *  /      %  = modulo

#include <time.h>

using namespace std;

int main()
//========
// Le but est qu'un utilisateur devine le nombre caché par l'ordinateur.
{
int nCache = 33;
int nUtilisateur = 0;
int nCount = 0;

/* initialize random seed: */
srand (time(NULL));

nCache = rand() % 100 + 1;
// cout << RAND_MAX << endl;  // pour voir la valeur de RAND_MAX

cout << "A vous de deviner le nombre que j'ai choisi, entre 1 et 100." << endl;

while (nUtilisateur != nCache) {
  nCount++;
  cout << "Tapez le nombre que vous pensez : ";
  cin >> nUtilisateur;

  if (nUtilisateur < nCache) cout << "Votre nombre est trop petit." << endl;
  if (nUtilisateur > nCache) cout << "Votre nombre est trop grand." << endl;
  }

cout << "Vous avez trouvé mon nombre en " << nCount << " essais." << endl;

return 0;
}






















